Page MenuHomePhabricator

Migrate creation of block logs in CU mass blocker to new logging system
Closed, ResolvedPublic

Description

With https://gerrit.wikimedia.org/r/#/c/152003/ the block log in mediawiki/core was moved to the new logging system. Should also be done in CheckUser for the creation of the log entry.

Event Timeline

Umherirrender updated the task description. (Show Details)
Umherirrender raised the priority of this task from to Needs Triage.
Umherirrender added a project: CheckUser.
Umherirrender added a subscriber: Umherirrender.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2015, 7:12 PM
Aklapper triaged this task as Normal priority.Mar 17 2015, 10:50 AM
Nemo_bis renamed this task from Migrate creation of block logs in check user to new logging system to Migrate creation of logs in check user to new logging system.Jul 23 2015, 9:30 AM
Nemo_bis set Security to None.
Glaisher renamed this task from Migrate creation of logs in check user to new logging system to Migrate creation of block logs in CU mass blocker to new logging system.Jul 23 2015, 12:11 PM
Glaisher added a subscriber: Glaisher.

Change 261175 had a related patch set uploaded (by Glaisher):
Migrate block logs to new system and clean up doMassUserBlockInternal()

https://gerrit.wikimedia.org/r/261175

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptDec 28 2015, 6:28 AM

Change 261175 merged by jenkins-bot:
Migrate block logging to new system and clean up doMassUserBlockInternal()

https://gerrit.wikimedia.org/r/261175

Glaisher closed this task as Resolved.Dec 30 2015, 4:00 AM
Glaisher claimed this task.
MarcoAurelio moved this task from Backlog to Closed on the CheckUser board.May 9 2016, 8:57 AM